View Issue Details

IDProjectCategoryView StatusLast Update
0001696Kali Linux[All Projects] Tool Upgradepublic2018-01-29 10:15
Reporterpachulo Assigned Tosbrun  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.9 
Target Version2016.1Fixed in Version2016.1 
Summary0001696: Update radare2 to 0.9.9
Descriptionhttp://radare.org/y/?p=download

Relationships

has duplicate 0002169 closedg0tmi1k radare 2 - The Android Reverse Engineering Framework 

Activities

pachulo

2014-11-14 08:14

reporter   ~0002699

They just released version 0.9.8.

jdmurray

2015-03-31 19:48

reporter   ~0003200

I have been in contact with the radare2 development team. The current version of radare2 distributed with Kali 1.1.0 is several years old and is no longer supported. The latest radare2 is available from github and is updated in Kali using the following commands:

apt-get remove radare2
apt-get autoremove
git clone https://github.com/radare/radare2
cd radare2
sys/install.sh

radare2 can be updated anytime thereafter by running the "sys/install.sh" command again. There are several commits to the radare2 repository per day, so the ability to easily update radare2 should be added to Kali.

rhertzog

2015-09-03 12:49

administrator   ~0003917

We still have version 0.9.6.

sbrun

2016-01-07 14:25

manager   ~0004474

new version 0.9.9-0kali1 is in kali-dev

Issue History

Date Modified Username Field Change
2014-08-28 14:41 pachulo New Issue
2014-11-14 08:14 pachulo Note Added: 0002699
2014-11-21 20:03 haider Issue cloned: 0001904
2015-03-31 19:48 jdmurray Note Added: 0003200
2015-09-03 12:49 rhertzog Note Added: 0003917
2015-09-03 12:49 rhertzog Status new => confirmed
2015-09-03 12:49 rhertzog Target Version => 2016.1
2015-09-03 12:49 rhertzog Summary Update radare2 to 0.9.7 => Update radare2 to 0.9.9
2016-01-07 14:25 sbrun Note Added: 0004474
2016-01-07 14:25 sbrun Assigned To => sbrun
2016-01-07 14:25 sbrun Status confirmed => resolved
2016-01-07 14:25 sbrun Resolution open => fixed
2016-01-07 14:25 sbrun Fixed in Version => 2016.1
2018-01-29 10:15 g0tmi1k Relationship added has duplicate 0002169